summary refs log tree commit diff
diff options
context:
space:
mode:
authorredsky17 <joedonofry@gmail.com>2019-02-05 12:06:59 +0000
committerredsky17 <joedonofry@gmail.com>2019-02-05 12:06:59 +0000
commitdf8e8ce996b40416003e24104afd0c39090bbe55 (patch)
tree2bcfd579da528035b48fb7c2e6d01b4c487ad878
parentPreserve symlinks in icu4c libs (diff)
downloadnheko-df8e8ce996b40416003e24104afd0c39090bbe55.tar.xz
Prevent symlinks from overwriting files
-rwxr-xr-x.ci/macos/deploy.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/.ci/macos/deploy.sh b/.ci/macos/deploy.sh
index 4b7d6035..03d377bc 100755
--- a/.ci/macos/deploy.sh
+++ b/.ci/macos/deploy.sh
@@ -13,7 +13,7 @@ pushd build
 # this specifically addresses icu4c issues but nothing else.
 export ICU_LIB="$(brew --prefix icu4c)/lib"
 mkdir -p nheko.app/Contents/Frameworks
-find ${ICU_LIB} -type l -name "*.dylib" -exec cp -a {} nheko.app/Contents/Frameworks/ \; || true
+find ${ICU_LIB} -type l -name "*.dylib" -exec cp -a -n {} nheko.app/Contents/Frameworks/ \; || true
 
 sudo macdeployqt nheko.app -dmg